<h1
  class="fr-h4"
  *ngIf="view === 'List'">
  Filtres
</h1>
<div class="filter">
  <h2>Zone géographique</h2>
  <p>
    Utilisez la barre de recherche pour sélectionner une région, un département
    ou une ville
  </p>
  <div class="geographic-filter">
    <div *ngFor="let region of regionsFilters()">
      <dsfr-tag
        [label]="region.label"
        (deleted)="onGeographicTagDeleted(region.locality)"
        [type]="region.tagType">
      </dsfr-tag>
    </div>
    <div *ngFor="let department of departmentsFilters()">
      <dsfr-tag
        [label]="department.label"
        (deleted)="onGeographicTagDeleted(department.locality)"
        [type]="department.tagType">
      </dsfr-tag>
    </div>
    <div *ngFor="let city of reportsFilters().geographic?.cities">
      <dsfr-tag
        [label]="city.nom"
        (deleted)="onGeographicTagDeleted(city)"
        [type]="tagTypes.DELETABLE">
      </dsfr-tag>
    </div>
  </div>
</div>
<div class="filter">
  <h2>Statut</h2>
  <div class="filter-options">
    <dsfr-tag
      [label]="reportStatusLabels.get(reportStatuses.NotTreated).label"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="reportsFilters().status.includes(reportStatuses.NotTreated)"
      (selected)="onStatusSelected($event, reportStatuses.NotTreated)"
    />
    <dsfr-tag
      [label]="reportStatusLabels.get(reportStatuses.Desultory).label"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="reportsFilters().status.includes(reportStatuses.Desultory)"
      (selected)="onStatusSelected($event, reportStatuses.Desultory)"
    />
    <dsfr-tag
      [label]="reportStatusLabels.get(reportStatuses.Treated).label"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="reportsFilters().status.includes(reportStatuses.Treated)"
      (selected)="onStatusSelected($event, reportStatuses.Treated)"
    />
    <dsfr-tag
      [label]="reportStatusLabels.get(reportStatuses.Validated).label"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="reportsFilters().status.includes(reportStatuses.Validated)"
      (selected)="onStatusSelected($event, reportStatuses.Validated)"
    />
    <dsfr-tag
      [label]="reportStatusLabels.get(reportStatuses.Obsolete).label"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="reportsFilters().status.includes(reportStatuses.Obsolete)"
      (selected)="onStatusSelected($event, reportStatuses.Obsolete)"
    />
  </div>
</div>
<div class="filter">
  <h2>Opérateurs concernés</h2>
  <div class="filter-options">
    <dsfr-tag
      label="Orange"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="reportsFilters().operators.includes(reportOperators.Orange)"
      (selected)="
        onOperatorSelected($event, reportOperators.Orange)
      "></dsfr-tag>
    <dsfr-tag
      label="SFR"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="reportsFilters().operators.includes(reportOperators.SFR)"
      (selected)="onOperatorSelected($event, reportOperators.SFR)"></dsfr-tag>
    <dsfr-tag
      label="Free"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="reportsFilters().operators.includes(reportOperators.Free)"
      (selected)="onOperatorSelected($event, reportOperators.Free)"></dsfr-tag>
    <dsfr-tag
      label="Bouygues Télécom"
      [type]="tagTypes.SELECTABLE"
      [isSelected]="
        reportsFilters().operators.includes(reportOperators.BouyguesTelecom)
      "
      (selected)="
        onOperatorSelected($event, reportOperators.BouyguesTelecom)
      "></dsfr-tag>
  </div>
</div>
